#ifndef _YITRAN_PACKET_
#define _YITRAN_PACKET_
//-------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------
namespace yitran_host {

	struct yitran_packet {
			yitran_packet() {
				command_start = 0;
				payload_size = 0;
				type = 0;
				opcode = 0;
				for ( unsigned i = 0; i < 256; ++i ) payload[i] = 0;
				origin_id = 0;
				final_id = 0;
				user_payload_size = 0;
				for ( unsigned i = 0; i < 256; ++i ) user_payload[i] = 0;
			}
			unsigned char command_start;
			unsigned payload_size;
			unsigned char type;
			unsigned char opcode;
			unsigned char payload[256];

			// RX Intranetworking Packet fields
			short origin_id;
			short final_id;
			unsigned user_payload_size;
			unsigned char user_payload[256];
	};

}
//-------------------------------------------------------------------------------------------------
#endif // _YITRAN_PACKET_
//-------------------------------------------------------------------------------------------------
