#include <node.h>
#include "node_wrapper_led_interface.hpp"
#include "node_wrapper_th02.hpp"
#include "node_wrapper_yitran_rs.hpp"
#include "node_wrapper_yitran_nc.hpp"

namespace node_wrappers {

using v8::Local;
using v8::Object;

void InitAll(Local<Object> exports) {
    LedInterface::Init(exports);
    TH02::Init(exports);
    YitranRs::Init(exports);
    YitranNc::Init(exports);
}

NODE_MODULE(SmartSSL, InitAll)

}
