const SmartSSL = require('./build/Release/SmartSSL');

(function() {
    console.log("*************************************");
    console.log("LED INTERFACE");
    console.log("*************************************");

    try {
		var li = new SmartSSL.LedInterface();
		
        console.log("Checking connection...");
        li.check_connection();
        console.log("Connection to leds OK.");
    } catch (e) {
        console.log("Connection failure: " + e);
		process.exit(1);
    }
    
//    setInterval( function() {
    try {
		if (li.get_luminance() < 200)
			li.set_luminance(240);
		else li.set_luminance(10);
		
//		li.set_fade(13);
		console.log("Voltage of string 1: ", li.get_u(1));
		console.log("Current of string 1: ",li.get_i(1));
		console.log("Voltage of string 2: ", li.get_u(2));
		console.log("Current of string 2: ",li.get_i(2));
		console.log("Voltage of string 3: ", li.get_u(3));
		console.log("Current of string 3: ",li.get_i(3));
		console.log("Voltage of string 4: ", li.get_u(4));
		console.log("Current of string 4: ",li.get_i(4));
		console.log( li.get_luminance() );
	} catch (e) {
	console.error("Error: ", e);
	}
//	}, 1000);

}());
/*
(function() {
    console.log("*************************************");
    console.log("TH02");
    console.log("*************************************");

    try {
		var th02 = new SmartSSL.TH02();
		
        console.log("Checking sensor...");
        th02.check_sensor();
        console.log("Connection to sensor OK.");
    } catch (e) {
        console.log("Sensor not responding: " + e);
		process.exit(1);
    }
    
    try {
		th02.heater_on();
		th02.heater_off();
	} catch (e)
	{
		console.log("Error: " + e);
	}
	
    setInterval( function() {
		try {
			console.log("RH: ", th02.get_rh(1000));
			console.log("Temperature: ",th02.get_temp(1000));
		} catch (e)
		{
			console.log("Error: " + e);
		}
    }, 1000 );
    
}());
*/